import { BindingKey } from '@loopback/core';
import { LocalPasswordStrategyFactory } from './passport/passport-local';
import { BearerStrategyFactory } from './passport/passport-bearer';
import { ResourceOwnerPasswordStrategyFactory } from './passport/passport-resource-owner-password';
import { ClientPasswordStrategyFactory } from './passport/passport-client-password/client-password-strategy-factory-provider';
import { GoogleAuthStrategyFactory } from './passport/passport-google-oauth2';
import { KeycloakStrategyFactory } from './passport/passport-keycloak';
import { AzureADAuthStrategyFactory } from './passport/passport-azure-ad';
import { VerifyFunction } from './types';
import { InstagramAuthStrategyFactory } from './passport/passport-insta-oauth2';
import { PassportOtpStrategyFactory } from './passport/passport-otp';
import { AppleAuthStrategyFactory } from './passport/passport-apple-oauth2';
import { FacebookAuthStrategyFactory } from './passport/passport-facebook-oauth2';
import { CognitoAuthStrategyFactory } from './passport/passport-cognito-oauth2';
import { SamlStrategyFactory } from './SAML';
export declare namespace Strategies {
    namespace Passport {
        const LOCAL_STRATEGY_FACTORY: BindingKey<LocalPasswordStrategyFactory>;
        const LOCAL_PASSWORD_VERIFIER: BindingKey<VerifyFunction.LocalPasswordFn<import("..").IAuthUser>>;
        const OTP_AUTH_STRATEGY_FACTORY: BindingKey<PassportOtpStrategyFactory>;
        const OTP_VERIFIER: BindingKey<VerifyFunction.OtpAuthFn<import("..").IAuthUser>>;
        const CLIENT_PASSWORD_STRATEGY_FACTORY: BindingKey<ClientPasswordStrategyFactory>;
        const OAUTH2_CLIENT_PASSWORD_VERIFIER: BindingKey<VerifyFunction.OauthClientPasswordFn<import("..").IAuthClient>>;
        const BEARER_STRATEGY_FACTORY: BindingKey<BearerStrategyFactory>;
        const BEARER_TOKEN_VERIFIER: BindingKey<VerifyFunction.BearerFn<import("..").IAuthUser>>;
        const RESOURCE_OWNER_STRATEGY_FACTORY: BindingKey<ResourceOwnerPasswordStrategyFactory>;
        const RESOURCE_OWNER_PASSWORD_VERIFIER: BindingKey<VerifyFunction.ResourceOwnerPasswordFn<import("..").IAuthClient, import("..").IAuthUser>>;
        const GOOGLE_OAUTH2_STRATEGY_FACTORY: BindingKey<GoogleAuthStrategyFactory>;
        const GOOGLE_OAUTH2_VERIFIER: BindingKey<VerifyFunction.GoogleAuthFn<import("..").IAuthUser>>;
        const AZURE_AD_STRATEGY_FACTORY: BindingKey<AzureADAuthStrategyFactory>;
        const AZURE_AD_VERIFIER: BindingKey<VerifyFunction.AzureADAuthFn<import("..").IAuthUser>>;
        const KEYCLOAK_STRATEGY_FACTORY: BindingKey<KeycloakStrategyFactory>;
        const KEYCLOAK_VERIFIER: BindingKey<VerifyFunction.KeycloakAuthFn<import("..").IAuthUser>>;
        const INSTAGRAM_OAUTH2_STRATEGY_FACTORY: BindingKey<InstagramAuthStrategyFactory>;
        const INSTAGRAM_OAUTH2_VERIFIER: BindingKey<VerifyFunction.InstagramAuthFn<import("..").IAuthUser>>;
        const FACEBOOK_OAUTH2_STRATEGY_FACTORY: BindingKey<FacebookAuthStrategyFactory>;
        const FACEBOOK_OAUTH2_VERIFIER: BindingKey<VerifyFunction.FacebookAuthFn<import("..").IAuthUser>>;
        const APPLE_OAUTH2_STRATEGY_FACTORY: BindingKey<AppleAuthStrategyFactory>;
        const APPLE_OAUTH2_VERIFIER: BindingKey<VerifyFunction.AppleAuthFn<import("..").IAuthUser>>;
        const COGNITO_OAUTH2_STRATEGY_FACTORY: BindingKey<CognitoAuthStrategyFactory>;
        const COGNITO_OAUTH2_VERIFIER: BindingKey<VerifyFunction.CognitoAuthFn<import("..").IAuthUser>>;
        const SAML_STRATEGY_FACTORY: BindingKey<SamlStrategyFactory>;
        const SAML_VERIFIER: BindingKey<VerifyFunction.SamlFn<import("..").IAuthUser>>;
    }
}
