/// <reference types="express" />
import { AnyObject } from '@loopback/repository';
import { Request } from '@loopback/rest';
import * as passport from 'passport';
export declare namespace Otp {
    type VerifyFunction = (key: string, otp: string, done: (error?: string | Error | null, user?: AnyObject, info?: AnyObject) => void) => void;
    interface StrategyOptions {
        key?: string;
        otp?: string;
    }
    type VerifyCallback = (err?: string | Error | null, user?: AnyObject, info?: AnyObject) => void;
    class Strategy extends passport.Strategy {
        constructor(_options?: StrategyOptions, verify?: VerifyFunction);
        name: string;
        private readonly verify;
        authenticate(req: Request, options?: StrategyOptions): void;
    }
}
